import { Game } from "../../models/Game";

export interface GameStore {
    get(id: string): Game | undefined;
    set(id: string, game: Game): void;
    remove(id: string): void;

    setGameIdByUser(userId: string, gameId: string): void;
    getGameIdByUser(userId: string): string | undefined;
    removeGameIdByPlayer(userId: string): void;

    setGameByUser(userId: string, game: Game): void;
    getGameByUser(userId: string): Game | undefined;
    removeGameByPlayer(userId: string): void;

    getSpeactatingGameIdsByUser(userId: string): string[]
}